import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.PrintWriter;
import java.util.StringTokenizer;

public class Die {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		InputStream is = System.in;
		OutputStream os = System.out;
		InputReader in = new InputReader(is);
		PrintWriter out = new PrintWriter(os);

		String a = in.next();
		String b = in.next();
		String c = in.next();
		int[][] inputArr = {
				{ a.charAt(0) == 'o' ? 1 : 0, a.charAt(1) == 'o' ? 1 : 0,
						a.charAt(2) == 'o' ? 1 : 0 },
				{ b.charAt(0) == 'o' ? 1 : 0, b.charAt(1) == 'o' ? 1 : 0,
						b.charAt(2) == 'o' ? 1 : 0 },
				{ c.charAt(0) == 'o' ? 1 : 0, c.charAt(1) == 'o' ? 1 : 0,
						c.charAt(2) == 'o' ? 1 : 0 } };

		int input = inputArr[0][0] | inputArr[0][1] << 1 | inputArr[0][2] << 2;
		input |= (inputArr[1][0] | inputArr[1][1] << 1 | inputArr[1][2] << 2) << 3;
		input |= (inputArr[2][0] | inputArr[2][1] << 1 | inputArr[2][2] << 2) << 6;

		int[][] moznosti = {
				{ 0b000010000, 1 },
				{ 0b100000001, 2 },
				{ 0b001000100, 2 },
				{ 0b100010001, 3 },
				{ 0b001010100, 3 },
				{ 0b101000101, 4 },
				{ 0b101010101, 5 },
				{ 0b111000111, 6 },
				{ 0b101101101, 6 }};

		for (int[] m : moznosti) {
			if (m[0] == input) {
				out.print(m[1]);
				out.close();
				return;
			}
		}

		out.print("unknown");
		out.close();

	}

	static class InputReader {
		public BufferedReader reader;
		public StringTokenizer tokenizer;

		public InputReader(InputStream stream) {

			reader = new BufferedReader(new InputStreamReader(stream));
			tokenizer = null;
		}

		public String next() {
			while (tokenizer == null || !tokenizer.hasMoreElements()) {
				try {
					tokenizer = new StringTokenizer(reader.readLine());
				} catch (Exception e) {
					// TODO: handle exception
				}
			}
			return tokenizer.nextToken();
		}

		public int nextInt() {
			return Integer.parseInt(next());
		}

	}

}
